Overview | Modules | Class Hierarchy | Classes | Members

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Friends
tlp::PropertyInterface Class Reference
Properties

`#include <PropertyInterface.h>`

Inheritance diagram for tlp::PropertyInterface:
[legend]
Collaboration diagram for tlp::PropertyInterface:
[legend]

List of all members.

## Classes

- class MetaValueCalculator

## Public Member Functions

- virtual ~PropertyInterface ()
- virtual void erase (const node)=0
- virtual void erase (const edge)=0
- virtual bool copy (const node dst, const node src, PropertyInterface *prop, bool ifNotDefault=false)=0
- virtual bool copy (const edge dst, const edge src, PropertyInterface *prop, bool ifNotDefault=false)=0
- virtual void copy (PropertyInterface *prop)=0
- virtual PropertyInterface * clonePrototype (Graph *, const std::string &)=0
- virtual std::string getTypename () const =0
- const std::string & getName () const
- tlp::Graph * getGraph ()
- virtual std::string getNodeDefaultStringValue () const =0
- virtual bool setAllNodeStringValue (const std::string &v)=0
- virtual std::string getEdgeDefaultStringValue () const =0
- virtual bool setAllEdgeStringValue (const std::string &v)=0
- virtual std::string getNodeStringValue (const node n) const =0
- virtual bool setNodeStringValue (const node n, const std::string &v)=0
- virtual std::string getEdgeStringValue (const edge e) const =0
- virtual bool setEdgeStringValue (const edge e, const std::string &v)=0
- virtual DataMem * getNodeDefaultDataMemValue () const =0
- virtual void setAllNodeDataMemValue (const DataMem *v)=0
- virtual DataMem * getEdgeDefaultDataMemValue () const =0
- virtual void setAllEdgeDataMemValue (const DataMem *v)=0
- virtual DataMem * getNodeDataMemValue (const node n) const =0
- virtual DataMem * getNonDefaultDataMemValue (const node n) const =0
- virtual void setNodeDataMemValue (const node n, const DataMem *v)=0
- virtual DataMem * getEdgeDataMemValue (const edge e) const =0
- virtual DataMem * getNonDefaultDataMemValue (const edge e) const =0
- virtual void setEdgeDataMemValue (const edge e, const DataMem *v)=0
- virtual tlp::Iterator< node > * getNonDefaultValuatedNodes (const Graph *=NULL) const =0
- virtual tlp::Iterator< edge > * getNonDefaultValuatedEdges (const Graph *=NULL) const =0
- virtual void computeMetaValue (node mN, Graph *sg, Graph *mg)=0
- virtual void computeMetaValue (edge mE, tlp::Iterator< edge > *itE, Graph *mg)=0
- MetaValueCalculator * getMetaValueCalculator ()
- virtual void setMetaValueCalculator (MetaValueCalculator *mvCalc)
- void addPropertyObserver (PropertyObserver *pObs)
- void removePropertyObserver (PropertyObserver *pObs)
- unsigned int countPropertyObservers () const
- virtual int compare (const node n1, const node n2) const =0
    Compare value of the node n1 to the value of the node n2.
- virtual int compare (const edge e1, const edge e2) const =0
    Compare value of the edge e1 to the value of the edge e2.

## Protected Member Functions

- void notifyBeforeSetNodeValue (const node n)
- void notifyAfterSetNodeValue (const node n)
- void notifyBeforeSetEdgeValue (const edge e)
- void notifyAfterSetEdgeValue (const edge e)
- void notifyBeforeSetAllNodeValue ()
- void notifyAfterSetAllNodeValue ()
- void notifyBeforeSetAllEdgeValue ()
- void notifyAfterSetAllEdgeValue ()
- void notifyDestroy ()

## Protected Attributes

- std::string name
- Graph * graph
- MetaValueCalculator * metaValueCalculator

## Friends

- class PropertyManager

## Friends And Related Function Documentation

friend class PropertyManager`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2012